Subject: Re: bug#29608: python.el movement functions

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 26 Jun 2021 16:13:12 +0200

Alex Branham <[email-masked]> writes:

> Shouldn't python-nav-forward-block actually navigate forward, though?
> And if we're on the last block in the buffer, just leave point at the
> end?

Well, the `M-e' doc string says "Move forward to next block of code.",
so if there is no next code block, then there's nothing to move to.  So
I think it's working as intended, I guess?  It does seem slightly
eccentric -- I'd also expect it to move to the end of the current block,
but then there's `python-nav-end-of-block' for that.

But I don't think there's anything to fix here, so I'm closing this bug
report.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no